Skip to content

Validate Email Address

POST
/auth/email-validation
curl --request POST \
--url https://example.com/auth/email-validation \
--header 'Content-Type: application/json' \
--data '{ "email": "example" }'

Validate email address and get detailed feedback

Media typeapplication/json
EmailValidationRequest
object
email
required
Email
string
Examplegenerated
{
"email": "example"
}

Successful Response

Media typeapplication/json
EmailValidationResponse
object
is_valid
required
Is Valid
boolean
errors
required
Errors
Array
local_part
required
Local Part
string
domain
required
Domain
string
length
required
Length
integer
local_part_length
required
Local Part Length
integer
domain_length
required
Domain Length
integer
has_valid_format
required
Has Valid Format
boolean
is_fake_domain
required
Is Fake Domain
boolean
is_disposable_domain
required
Is Disposable Domain
boolean
Examplegenerated
{
"is_valid": true,
"errors": [
"example"
],
"local_part": "example",
"domain": "example",
"length": 1,
"local_part_length": 1,
"domain_length": 1,
"has_valid_format": true,
"is_fake_domain": true,
"is_disposable_domain": true
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}